package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.entities.UnitCost;
import com.jasamedika.medifirst2000.entities.UnitCostDetail;
import com.jasamedika.medifirst2000.entities.UnitCostDetailJenis;
import com.jasamedika.medifirst2000.entities.UnitCostJenis;
import com.jasamedika.medifirst2000.vo.UnitCostDetailVO;
import com.jasamedika.medifirst2000.vo.UnitCostVO;

 
public interface UnitCostService <T> extends BaseVoService<UnitCost, UnitCostVO, Integer> {
	 
	Map<String, Object> findDetailCostUnit(Integer idRuangan, Integer idInstalasiDepartemen, String periodeAwal, String periodeAkhir,Integer idLayanan);
	Map<String, Object> findListPelayanan(Integer idRuangan);
	UnitCostDetail addUnitCostDetail(UnitCostDetailVO vo);
	Map<String, Object> getListJenisUnitCost();
	Map<String, Object> getListUnitCost(Integer idRuangan,Integer idInstalasi,String namaKegiatan);
	Map<String, Object> getListDetailJenisUnitCost(Integer idJenisUnitCost);
	UnitCost findbyUnitCostId(Integer id);
	List<UnitCostDetail> findUnitCostDetailByUnitCostId(Integer id);
	List<UnitCostJenis> findAllUnitCostJenis();
	List<UnitCostDetailJenis> findUnitCostDetailJenisByUnitCostId(Integer id);
}
